libstdc++

Classes | Namespaces | Macros | Functions
profile/unordered_set File Reference

Go to the source code of this file.

## Classes

class | std::__profile::unordered_multiset< _Value, _Hash, _Pred, _Alloc >
| Unordered_multiset wrapper with performance instrumentation. More...
class | std::__profile::unordered_set< _Key, _Hash, _Pred, _Alloc >
| Unordered_set wrapper with performance instrumentation. More...

## Namespaces

namespace | std
namespace | std::__profile

## Macros

#define | _GLIBCXX_BASE
#define | _GLIBCXX_BASE
#define | _GLIBCXX_PROFILE_UNORDERED_SET
#define | _GLIBCXX_STD_BASE
#define | _GLIBCXX_STD_BASE

## Functions

template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator!= (const unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator!= (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator== (const unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator== (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
void | std::__profile::swap (unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | std::__profile::swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)

## Detailed Description

This file is a GNU profile extension to the Standard C++ Library.

Definition in file profile/unordered_set.